Saltar al contenido principal
GET
/
url-mappings
/
v3
/
url-mappings
/
{id}
cURL
curl --request GET \
  --url https://api.hubapi.com/url-mappings/v3/url-mappings/{id} \
  --header 'Authorization: Bearer <token>'
{
  "cdnPurgeEmbargoTime": 123,
  "contentGroupId": 123,
  "cosObjectType": "ACCESS_GROUP_MEMBERSHIP",
  "created": 123,
  "createdById": 123,
  "deletedAt": 123,
  "destination": "<string>",
  "id": 123,
  "internallyCreated": true,
  "isActive": true,
  "isMatchFullUrl": true,
  "isMatchQueryString": true,
  "isOnlyAfterNotFound": true,
  "isPattern": true,
  "isProtocolAgnostic": true,
  "isRegex": true,
  "isTrailingSlashOptional": true,
  "label": "<string>",
  "lastUsedAt": 123,
  "name": "<string>",
  "note": "<string>",
  "portalId": 123,
  "precedence": 123,
  "redirectStyle": 123,
  "routePrefix": "<string>",
  "updated": 123,
  "updatedById": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

id
integer<int64>
requerido

Respuesta

successful operation

cdnPurgeEmbargoTime
integer<int64>
requerido
contentGroupId
integer<int64>
requerido
cosObjectType
enum<string>
requerido
Opciones disponibles:
ACCESS_GROUP_MEMBERSHIP,
APP_PAGE,
BLOCK,
BLOG,
BLOG_AUTHOR,
BRAND_BUSINESS_UNIT,
BRAND_SETTINGS,
CONTACT_MEMBERSHIP,
CONTENT,
CONTENT_EMBED,
CONTENT_FOLDER,
CONTENT_GROUP,
CRM_OBJECT,
CRM_OBJECT_TYPE,
CUSTOM_WIDGET,
CUSTOMER_PORTAL,
DATA_QUERY,
DESIGN_FOLDER,
DOMAIN,
DOMAIN_SETTINGS,
EMAIL_ADDRESS,
EXTENSION_RESOURCE,
FILE,
FOLDER,
FOLLOW_ME,
FORM,
GLOBAL_CONTENT,
HUBDB_TABLE,
HUBDB_TABLE_ROW,
IMAGE,
JS_PROJECT_COMPONENT,
KNOWLEDGE_BASE,
KNOWLEDGE_CATEGORY,
KNOWLEDGE_CATEGORY_TRANSLATION,
KNOWLEDGE_HOMEPAGE_CATEGORY,
LAYOUT,
LAYOUT_SECTION,
LIST_MEMBERSHIP,
MARKETPLACE_LISTING,
PASSWORD_PROTECTED,
PAYMENT,
PERSONALIZATION_TOKEN,
PLACEMENT,
PROJECT,
QUOTE_TEMPLATE,
RAW_ASSET,
REDIRECT_URL,
SECTION,
SERVERLESS_FUNCTION,
SITE_MAP,
SITE_MENU,
SITE_SETTINGS,
SUBSCRIPTIONS_SETTINGS,
TAG,
THEME,
THEME_SETTINGS,
UNRESTRICTED_ACCESS,
URL_MAPPING,
VIDEO_PLAYER,
WIDGET,
WORKFLOW
created
integer<int64>
requerido
createdById
integer<int32>
requerido
deletedAt
integer<int64>
requerido
destination
string
requerido
id
integer<int64>
requerido
internallyCreated
boolean
requerido
isActive
boolean
requerido
isMatchFullUrl
boolean
requerido
isMatchQueryString
boolean
requerido
isOnlyAfterNotFound
boolean
requerido
isPattern
boolean
requerido
isProtocolAgnostic
boolean
requerido
isRegex
boolean
requerido
isTrailingSlashOptional
boolean
requerido
label
string
requerido
lastUsedAt
integer<int64>
requerido
name
string
requerido
note
string
requerido
portalId
integer<int32>
requerido
precedence
integer<int32>
requerido
redirectStyle
integer<int32>
requerido
routePrefix
string
requerido
updated
integer<int64>
requerido
updatedById
integer<int32>
requerido
Last modified on April 14, 2026